eta-kisit (0.9.8) ondokuz; urgency=medium

  * fix: better logs
  * fix: unrestrict all binaries with no filter

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Thu, 09 Oct 2025 12:44:55 +0300

eta-kisit (0.9.7) ondokuz; urgency=medium

  * fix: formatting
  * feat: added important always allowed applications
  * fix: added libreoffice-calc & night-light to always allowed apps
  * fix: added ogretmen-lock to always allowed

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Wed, 08 Oct 2025 16:31:17 +0300

eta-kisit (0.9.6) ondokuz; urgency=medium

  [ Emin Fedar ]
  * feat: refactored Main.py, log notifications
  * feat: better network handling
  * fix: added eba.gov.tr to always allowed domains

  [ Yusuf Düzgün ]
  * fix: added etap.org.tr to always allowed domains

  [ Fatih Altun ]
  * Update static version to 0.9.6

 -- Fatih Altun <fatih.altun@pardus.org.tr>  Wed, 24 Sep 2025 21:39:56 +0300

eta-kisit (0.9.5) ondokuz; urgency=medium

  * feat: added profile name on startup checkbox
  * feat: added profile owner check on activate_on_startup
  * feat: added notifications on activating restrictions
  * fix: refactor logs
  * fix: refactor logs
  * fix: ETAKisitActivator: check if restriction types none when run
  * fix: base_dns_servers fetching localhost
  * feat: new "version handling"
  * fix: linter errors

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Fri, 19 Sep 2025 16:03:16 +0300

eta-kisit (0.9.4) ondokuz; urgency=medium

  * feat: improved restricting snap applications
  * fix: snap app found bugs
  * fix: local desktop file detect
  * feat: version 0.9.4

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Thu, 21 Aug 2025 16:32:20 +0300

eta-kisit (0.9.3) ondokuz; urgency=medium

  * fix: crash when snap is not found

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Wed, 20 Aug 2025 15:54:23 +0300

eta-kisit (0.9.2) ondokuz; urgency=medium

  * refactor: import as -> from import
  * feat: added Snap restriction support
  * feat: version 0.9.2 about window
  * fix: delete from list bug
  * fix: PreferencesWindow reload items on open

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Thu, 14 Aug 2025 09:31:04 +0300

eta-kisit (0.9.1) ondokuz; urgency=medium

  * feat: added Flatpak restriction support

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Mon, 11 Aug 2025 10:56:43 +0300

eta-kisit (0.9.0) ondokuz; urgency=medium

  * feat: added always allowed domains, remove firefox cache after close
  * fix: firefox sanitize on shutdown.

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Wed, 28 May 2025 16:40:12 +0300

eta-kisit (0.8.7) ondokuz; urgency=medium

  * feat:  firefox clean cache after close, WebsiteFilter added
  * feat: added Chrome clean cache after close
  * fix: firefox browser policy url bug
  * feat: close browsers before switching user
  * fix: remove browser clear cache on exit flags

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Mon, 26 May 2025 12:52:41 +0300

eta-kisit (0.8.6) ondokuz; urgency=medium

  * feat!: added applied profile change detection

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Mon, 28 Apr 2025 16:22:10 +0300

eta-kisit (0.8.5) ondokuz; urgency=medium

  [ Emin Fedar ]
  * fix: "policies" key not found error
  * fix: change firefox policies.json path to usr share

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Fri, 25 Apr 2025 12:50:29 +0300

eta-kisit (0.8.4) ondokuz; urgency=medium

  * feat!: firefox update .policy file content instead of removing
  * feat!: added always restricted apps

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Thu, 24 Apr 2025 15:22:57 +0300

eta-kisit (0.8.3) ondokuz; urgency=medium

  [ Emin Fedar ]
  * fix: window icon set
  * fix: new icon
  * fix: copyright
  * fix: problem on package upgrade
  * feat: remove old pam files
  * docs: changelog
  * fix: postrm: remove  __pycache__, smartdns service
  * fix!: old postrm removing sources folder
  * fix: change name for preventing future bugs
  * fix: postrm directory check

  [ Fatih Altun ]
  * Update changelog for 0.8.0 release

  [ Emin Fedar ]
  * fix: improved debian scripts
  * feat!: improved NetworkFilter & Profiles
  * fix: debian scripts
  * feat: version 0.8.1
  * fix: postinst typo
  * fix: typo
  * fix: base_dns_server from resolvconf
  * fix: add another base dns server
  * fix: update dialog messages
  * feat: added domain groups for website filter
  * feat!: add easy switch to ogrenci session
  * Update changelog for 0.8.2 release
  * fix: update version 0.8.2
  * fix: updated dialog messages

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Fri, 18 Apr 2025 14:11:50 +0300

eta-kisit (0.8.2) ondokuz; urgency=medium

  * fix: postinst typo
  * fix: typo
  * fix: base_dns_server from resolvconf
  * fix: add another base dns server
  * fix: update dialog messages
  * feat: added domain groups for website filter
  * feat!: add easy switch to ogrenci session

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Wed, 16 Apr 2025 17:48:36 +0300

eta-kisit (0.8.1) ondokuz; urgency=medium

  * fix: postrm: remove  __pycache__, smartdns service
  * fix!: old postrm removing sources folder
  * fix: change name for preventing future bugs
  * fix: postrm directory check
  * fix: improved debian scripts
  * feat!: improved NetworkFilter & Profiles
  * fix: debian scripts

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Wed, 22 Jan 2025 16:15:48 +0300

eta-kisit (0.8.0) ondokuz; urgency=medium

  [ Emin Fedar ]
  * fix: ui
  * feat: default profile "is_default":true
  * fix: website regex updated
  * fix: user check service
  * feat: other users can see profiles window
  * fix: main window combobox bug when profile deleted
  * feat!: update 0.6.5
  * feat: added eta keyboard to always allowed list
  * feat: can see other profiles and apply but cant edit them.
  * fix: delete program files on upgrade bug
  * fix: debian scripts on upgrade breaks
  * fix: ogrenci account creation prevent
  * refactor: little fixes
  * fix: permission error on json files
  * fix: window icon set
  * fix: new icon
  * fix: copyright
  * fix: problem on package upgrade
  * feat: remove old pam files
  * fix: postrm: remove  __pycache__, smartdns service
  * fix!: old postrm removing sources folder
  * fix: change name for preventing future bugs
  * fix: postrm directory check

 -- Fatih Altun <fatih.altun@pardus.org.tr>  Wed, 15 Jan 2025 20:36:33 +0300

eta-kisit (0.7.0) ondokuz; urgency=medium

  [ Emin Fedar ]
  * feat!: added created_by property to profile
  * feat!: improved ProfileChooserWindow, removed focus_out signal
  * fix: profilemanager bug
  * feat: PreferencesWindow sensitivity checks created_by
  * fix: username profile creation bug
  * fix: added chromium policy alternative path
  * fix: logging
  * fix: UserCheckService
  * fix!: new way of get active session username

 -- Pardus <emin.fedar@pardus.org.tr>  Thu, 12 Sep 2024 15:03:22 +0300

eta-kisit (0.6.6) ondokuz; urgency=medium

  [ Emin Fedar ]
  * fix: main window combobox bug when profile deleted
  * feat: added eta keyboard to always allowed list
  * feat: can see other profiles and apply but cant edit them.
  * feat: user cant change others preferences
  * fix: bug on save
  * feat: added apply button to ProfileChooserWindow

 -- Pardus <emin.fedar@pardus.org.tr>  Wed, 11 Sep 2024 11:57:00 +0300

eta-kisit (0.6.5) ondokuz; urgency=medium

  [ Emin Fedar ]
  * fix: website regex updated
  * fix: user check service
  * feat: other users can see profiles window

 -- Pardus <emin.fedar@pardus.org.tr>  Fri, 06 Sep 2024 12:04:48 +0300

eta-kisit (0.6.4) ondokuz; urgency=medium

  [ Emin Fedar ]
  * fix: UserCheckService
  * chore: log format
  * fix: ui
  * feat: default profile "is_default":true

 -- Pardus <emin.fedar@pardus.org.tr>  Wed, 28 Aug 2024 12:47:10 +0300

eta-kisit (0.6.3) ondokuz; urgency=medium

  [ Emin Fedar ]
  * feat!: added service instead of pam

 -- Pardus <emin.fedar@pardus.org.tr>  Wed, 14 Aug 2024 17:42:10 +0300

eta-kisit (0.6.2) ondokuz; urgency=medium

  [ Emin Fedar ]
  * fix: libreoffice binary in allowlist
  * feat!: changed program args: --user-login, --user-logout
  * feat!: changed activator args: --enable-websites-restriction
  * feat: added get_active_session_username()
  * feat: removed autostart desktop, added systemd service

 -- Pardus <emin.fedar@pardus.org.tr>  Wed, 14 Aug 2024 16:58:24 +0300

eta-kisit (0.6.1) ondokuz; urgency=medium

  [ Emin Fedar ]
  * feat: updated website regex
  * fix: activate_on_startup
  * feat!: enable websites only on ogrenci

 -- Pardus <emin.fedar@pardus.org.tr>  Thu, 25 Jul 2024 15:54:04 +0300

eta-kisit (0.6.0) ondokuz; urgency=medium

  * feat!: users can only see their profiles and default ones
  * feat: user can enable auto apply profile on login

 -- Pardus <emin.fedar@pardus.org.tr>  Fri, 05 Jul 2024 10:51:38 +0300

eta-kisit (0.5.6) ondokuz; urgency=medium

  * fix: dont restrict chrome while restricting links
  * fix: unrestrict local desktop file
  * feat: added .local/share .desktop file restrict support
  * feat: version 0.5.6

 -- Pardus <emin.fedar@pardus.org.tr>  Tue, 02 Jul 2024 22:51:38 +0300

eta-kisit (0.5.5) ondokuz; urgency=medium

  * fix: ui, removed green active icons
  * fix: ui feedback applying
  * feat: always allowed apps
  * feat: version 0.5.5
  * fix: ui feedback fix

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Mon, 24 Jun 2024 16:19:54 +0300

eta-kisit (0.5.4) ondokuz; urgency=medium

  * feat: new dialog buttons and close with esc
  * feat: main ui remove on/off icon add label
  * fix: smartdns service uninstall twice and remove caches
  * chore: change copyright to Pardus Developers
  * fix: unchangeable main window while dialogs open
  * feat: improved PreferencesWindow sensitivity
  * fix: allowlist len 0 not filtering
  * fix: postrm uninstall smartdns service if exists
  * fix: postinst disable service after installation

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Thu, 13 Jun 2024 15:37:57 +0300

eta-kisit (0.5.3) ondokuz; urgency=medium

  * fix: entry edit icon activatable false
  * fix: crash on removed application applied, verbose logs
  * fix: ui
  * fix: application not found
  * fix: Firefox is buggy when policy defined.
  * fix: empty profile name on name change
  * fix: profile name change entry not reverting back
  * fix: little ui dialog
  * fix: smartdns-rs service not work until restart
  * fix: whitelist not work
  * feat!: version 0.5.3

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Tue, 11 Jun 2024 18:38:37 +0300

eta-kisit (0.5.1) ondokuz; urgency=medium

  * fix: entry edit icon activatable false
  * fix: crash on removed application applied, verbose logs
  * fix: ui
  * fix: application not found

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Wed, 05 Jun 2024 17:03:26 +0300

eta-kisit (0.5.0) ondokuz; urgency=medium

  * feat: new profiles.json
  * fix: ui improvements
  * fix: UI bug
  * fix: ETAKisitActivator allowlist denylist
  * feat: UI improvements when service activated
  * feat: ui improvements
  * feat!: added base_dns_server to profiles.json

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Wed, 05 Jun 2024 10:14:29 +0300

eta-kisit (0.4.1) ondokuz; urgency=medium

  * fix: empty path crash fix
  * feat: new policy without pkla
  * feat: display error if happened
  * feat!: new restriction type & dual list store

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Wed, 05 Jun 2024 10:13:53 +0300

eta-kisit (0.4.0) ondokuz; urgency=medium

  * init
  * chore: app id
  * feat: added postinst and postrm debian scripts
  * fix: gtk3 ui bug fixes
  * fix: main logo
  * fix: app listing utf8 bug
  * feat: predefined profiles.json
  * fix: privileged user check
  * refactor: removed f-strings
  * docs: update ApplicationFiltering.md
  * fix: control python3 dependency version to 3.7
  * fix: added scrolledwindow to profiles list
  * docs: WebsiteFiltering Doh + Policy
  * feat: FileRestrictionManager added
  * feat: Browser Policy added to NetworkFilterManager
  * feat: Restricting desktop files
  * feat: ProfileManager custom .json file save
  * chore: add _ to private functions
  * feat: added APPLIED_PROFILE_PATH
  * feat!: first testable eta-kisit-activator
  * feat: added --reload implementation
  * feat: added ETAKisitActivator to mainwindow button
  * fix: setup.py ETAKisitActivator.py
  * fix: added DEPHELPER and set -e postscripts
  * fix: control file debhelper version
  * docs: applied_profiles file name changed
  * fix: added FileRestrictionManager.py in setup.py
  * feat: added check_user_privileged()
  * feat: added FileRestrictionManager checks
  * fix: proper imports
  * feat: added Profile Duplication
  * fix: activator bug
  * feat: Default profile, profile duplication
  * feat: UI rename
  * feat: added polkit policy for passwordless activate
  * translation: en to tr (and chores)
  * feat: added remove_applied_profile()
  * fix: setup.py names
  * fix: ACTIVATOR_PATH, is_service_activated()
  * fix: unblock resolv.conf on pre apply
  * feat: reset browser policy and smartdns
  * fix: smartdns fix
  * fix: remove error if not exists
  * feat: separate restriction funcs
  * feat: restrict executable too
  * fix: passwordless policy
  * fix: absolute path for activator
  * fix: little
  * fix: dont revert if no website listed
  * test: verbose log for testing
  * fix: smartdns conf and policy json
  * feat: application restriction allowlist
  * fix: applied_profile naming bug
  * fix: app restriction bug
  * feat: remove all app restrictions on disable service
  * fix: json dumps
  * fix: domain name smartdns format bug
  * fix: smartdns service installation
  * fix: smartdns config
  * feat: floating logo if enabled
  * feat: regex control on input dialog
  * feat: unchangeable default profile settings
  * feat: get all apps which not have NoDisplay key
  * chore: remove unused
  * fix: newline on resolv.conf
  * rename: Dialog -> Window
  * feat: Dialogs.py added
  * feat!: moved InputDialog to Dialogs, center on parent

 -- Emin Fedar <emin.fedar@pardus.org.tr>  Thu, 16 May 2024 12:56:38 +0300
